#############################################################################
### PROJECT: Differential methylation analysis of Infant leukemias
### and differentiated blood cells with 850k arrays
###
### Script for the analysis of WGBS methylation changes in ALL subtypes
###          
###
### Authors: Juan Ramon Tejedor (Dec 2017)
#############################################################################

# Set up the directory for the results:
genomeDirectory <- ""
WGBSDirectory <- ""
tablesDirectory <- ""

library(methylKit)
library(TxDb.Hsapiens.UCSC.hg19.knownGene)
library(genomation)

setwd(WGBSDirectory)

#Load and process the corresponding bam or sam files (should be sorted before proceed with this step):
file.list.bam =list("./Human_H053-J01_good_1_val_1_bismark_bt2_pe.sorted.bam",
                    "./Human_H053-J02_good_1_val_1_bismark_bt2_pe.sorted.bam",
                    "./Human_H053-J03_good_1_val_1_bismark_bt2_pe.sorted.bam",
		    "./Human_H053-J04_good_1_val_1_bismark_bt2_pe.sorted.bam",
		    "./Human_H053-J05_good_1_val_1_bismark_bt2_pe.sorted.bam",
		    "./Human_H053-J06_good_1_val_1_bismark_bt2_pe.sorted.bam",
		    "./Human_H053-J07_good_1_val_1_bismark_bt2_pe.sorted.bam",
		    "./Human_H053-J08_good_1_val_1_bismark_bt2_pe.sorted.bam")

methylation=processBismarkAln(file.list.bam, sample.id= list("MLL-AF4_1", "MLL-AF4_2", "MLL-AF9_1", "nonMLL_1", "nonMLL_2", "BCP_1", "BCP_2", "MLL-AF9_2"), assembly="hg19", save.context=c("CpG", "CHG", "CHH"), save.folder = "WGBS_analyses/", treatment = c(1,1,1,1,1,0,0,1))

