#!/bin/bash

#############################################################################
### PROJECT: Differential expression analysis of Infant leukemias
### and differentiated blood cells with RNAseq data
###
### Script for the analysis of RNAseq data
###          
###
### Authors: Juan Ramon Tejedor (Dec 2017)
#############################################################################

rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RT7ACXX_1_1_1.fastq.gz)	<(zcat Fastq_files/C5RT7ACXX_1_1_2.fastq.gz) ref/human_ensembl RSEM_results/POOL
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RT7ACXX_2_2_1.fastq.gz)	<(zcat Fastq_files/C5RT7ACXX_2_2_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_01
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RT7ACXX_3_7_1.fastq.gz)	<(zcat Fastq_files/C5RT7ACXX_3_7_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_02
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RRKACXX_7_4_1.fastq.gz)	<(zcat Fastq_files/C5RRKACXX_7_4_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_03
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RT7ACXX_4_5_1.fastq.gz)	<(zcat Fastq_files/C5RT7ACXX_4_5_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_04
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RT7ACXX_5_6_1.fastq.gz)	<(zcat Fastq_files/C5RT7ACXX_5_6_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_05
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6H19ANXX_1_15_1.fastq.gz)	<(zcat Fastq_files/C6H19ANXX_1_15_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_26
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6H19ANXX_1_16_1.fastq.gz)	<(zcat Fastq_files/C6H19ANXX_1_16_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_06
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6H19ANXX_2_18_1.fastq.gz)	<(zcat Fastq_files/C6H19ANXX_2_18_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_07
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6H19ANXX_2_19_1.fastq.gz)	<(zcat Fastq_files/C6H19ANXX_2_19_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_08
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6H19ANXX_3_20_1.fastq.gz)	<(zcat Fastq_files/C6H19ANXX_3_20_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_09
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6H19ANXX_3_21_1.fastq.gz)	<(zcat Fastq_files/C6H19ANXX_3_21_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_10
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_3_22_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_3_22_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_11
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_3_23_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_3_23_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_12
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_4_25_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_4_25_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_13
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_4_27_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_4_27_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_14
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_5_1_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_5_1_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_15
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_6_2_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_6_2_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_16
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_5_3_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_5_3_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_17
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_7_5_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_7_5_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_27
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6H19ANXX_7_7_1.fastq.gz)	<(zcat Fastq_files/C6H19ANXX_7_7_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_18
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6H19ANXX_7_9_1.fastq.gz)	<(zcat Fastq_files/C6H19ANXX_7_9_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_19
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_7_10_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_7_10_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_20
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_1_12_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_1_12_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_21
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_1_14_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_1_14_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_22
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_1_16_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_1_16_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_23
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_2_19_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_2_19_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_24
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RR0ACXX_4_21_1.fastq.gz)	<(zcat Fastq_files/C5RR0ACXX_4_21_2.fastq.gz) ref/human_ensembl RSEM_results/MA4_25
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RR0ACXX_3_22_1.fastq.gz)	<(zcat Fastq_files/C5RR0ACXX_3_22_2.fastq.gz) ref/human_ensembl RSEM_results/MA9_01
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RR0ACXX_7_23_1.fastq.gz)	<(zcat Fastq_files/C5RR0ACXX_7_23_2.fastq.gz) ref/human_ensembl RSEM_results/MA9_02
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5TMRACXX_1_25_1.fastq.gz)	<(zcat Fastq_files/C5TMRACXX_1_25_2.fastq.gz) ref/human_ensembl RSEM_results/MA9_03
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RRKACXX_6_27_1.fastq.gz)	<(zcat Fastq_files/C5RRKACXX_6_27_2.fastq.gz) ref/human_ensembl RSEM_results/MA9_04
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RT7ACXX_6_9_1.fastq.gz)	<(zcat Fastq_files/C5RT7ACXX_6_9_2.fastq.gz) ref/human_ensembl RSEM_results/MA9_05
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C6GVLANXX_8_10_1.fastq.gz)	<(zcat Fastq_files/C6GVLANXX_8_10_2.fastq.gz) ref/human_ensembl RSEM_results/MLLwt_01
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5TMRACXX_2_11_1.fastq.gz)	<(zcat Fastq_files/C5TMRACXX_2_11_2.fastq.gz) ref/human_ensembl RSEM_results/MLLwt_02
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RT7ACXX_7_12_1.fastq.gz)	<(zcat Fastq_files/C5RT7ACXX_7_12_2.fastq.gz) ref/human_ensembl RSEM_results/MLLwt_03
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RRKACXX_8_13_1.fastq.gz)	<(zcat Fastq_files/C5RRKACXX_8_13_2.fastq.gz) ref/human_ensembl RSEM_results/MLLwt_04
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RR0ACXX_5_14_1.fastq.gz)	<(zcat Fastq_files/C5RR0ACXX_5_14_2.fastq.gz) ref/human_ensembl RSEM_results/MLLwt_05
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RT7ACXX_8_15_1.fastq.gz)	<(zcat Fastq_files/C5RT7ACXX_8_15_2.fastq.gz) ref/human_ensembl RSEM_results/MLLwt_06
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RT7ACXX_8_16_1.fastq.gz)	<(zcat Fastq_files/C5RT7ACXX_8_16_2.fastq.gz) ref/human_ensembl RSEM_results/MLLwt_07
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RT7ACXX_8_20_1.fastq.gz)	<(zcat Fastq_files/C5RT7ACXX_8_20_2.fastq.gz) ref/human_ensembl RSEM_results/MLLwt_10
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RR0ACXX_3_21_1.fastq.gz)	<(zcat Fastq_files/C5RR0ACXX_3_21_2.fastq.gz) ref/human_ensembl RSEM_results/BCP_01
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RR0ACXX_4_8_1.fastq.gz)	<(zcat Fastq_files/C5RR0ACXX_4_8_2.fastq.gz) ref/human_ensembl RSEM_results/BCP_02
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RR0ACXX_3_23_1.fastq.gz)	<(zcat Fastq_files/C5RR0ACXX_3_23_2.fastq.gz) ref/human_ensembl RSEM_results/BCP_03
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RR0ACXX_4_25_1.fastq.gz)	<(zcat Fastq_files/C5RR0ACXX_4_25_2.fastq.gz) ref/human_ensembl RSEM_results/BCP_04
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam <(zcat Fastq_files/C5RR0ACXX_4_27_1.fastq.gz)	<(zcat Fastq_files/C5RR0ACXX_4_27_2.fastq.gz) ref/human_ensembl RSEM_results/BCP_05
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam Fastq_files/SRR2753073_1.fastq	Fastq_files/SRR2753073_2.fastq ref/human_ensembl RSEM_results/B_01
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam Fastq_files/SRR2753077_1.fastq	Fastq_files/SRR2753077_2.fastq ref/human_ensembl RSEM_results/B_02
rsem-calculate-expression -p 20 --paired-end --estimate-rspd --append-names --output-genome-bam Fastq_files/SRR2753087_1.fastq	Fastq_files/SRR2753087_2.fastq ref/human_ensembl RSEM_results/B_03

