#############################################################################
### PROJECT: Differential expression analysis of Infant leukemias
### and differentiated blood cells with RNAseq data
###
### Script for the analysis of RNAseq data
###          
###
### Authors: Juan Ramon Tejedor (Dec 2017)
#############################################################################

resultsDirectory <- ""
tablesDirectory <- ""

# Load the datasets:
MA4_01 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_01.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_02 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_02.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_03 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_03.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_04 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_04.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_05 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_05.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_26 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_26.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_06 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_06.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_07 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_07.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_08 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_08.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_09 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_09.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_10 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_10.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_11 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_11.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_12 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_12.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_13 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_13.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_14 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_14.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_15 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_15.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_16 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_16.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_17 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_17.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_27 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_27.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_18 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_18.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_19 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_19.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_20 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_20.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_21 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_21.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_22 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_22.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_23 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_23.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_24 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_24.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_25 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_25.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA9_01 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA9_01.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA9_02 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA9_02.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA9_03 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA9_03.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA9_04 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA9_04.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA9_05 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA9_05.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_01 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_01.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_02 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_02.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_03 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_03.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_04 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_04.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_05 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_05.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_06 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_06.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_07 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_07.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_10 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_10.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
BCP_01 <- read.csv(file= paste(tablesDirectory, "RSEM_results/BCP_01.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
BCP_02 <- read.csv(file= paste(tablesDirectory, "RSEM_results/BCP_02.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
BCP_03 <- read.csv(file= paste(tablesDirectory, "RSEM_results/BCP_03.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
BCP_04 <- read.csv(file= paste(tablesDirectory, "RSEM_results/BCP_04.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
BCP_05 <- read.csv(file= paste(tablesDirectory, "RSEM_results/BCP_05.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
B_01 <- read.csv(file= paste(tablesDirectory, "RSEM_results/B_01.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
B_02 <- read.csv(file= paste(tablesDirectory, "RSEM_results/B_02.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)
B_03 <- read.csv(file= paste(tablesDirectory, "RSEM_results/B_03.isoforms.results", sep = "/"), sep = "\t", stringsAsFactors = F)

matrix.isoforms.FPKM <- data.frame(transcript_id = MA4_01$transcript_id, gene_id = MA4_01$gene_id, MA4_01 = MA4_01$FPKM, MA4_02 = MA4_02$FPKM, MA4_03 = MA4_03$FPKM, MA4_04 = MA4_04$FPKM, MA4_05 = MA4_05$FPKM, 
                                   MA4_26 = MA4_26$FPKM, MA4_06 = MA4_06$FPKM, MA4_07 = MA4_07$FPKM, MA4_08 = MA4_08$FPKM, MA4_09 = MA4_09$FPKM,
                                   MA4_10 = MA4_10$FPKM, MA4_11 = MA4_11$FPKM, MA4_12 = MA4_12$FPKM, MA4_13 = MA4_13$FPKM, MA4_14 = MA4_14$FPKM,
                                   MA4_15 = MA4_15$FPKM, MA4_16 = MA4_16$FPKM, MA4_17 = MA4_17$FPKM, MA4_27 = MA4_27$FPKM, MA4_18 = MA4_18$FPKM,
                                   MA4_19 = MA4_19$FPKM, MA4_20 = MA4_20$FPKM, MA4_21 = MA4_21$FPKM, MA4_22 = MA4_22$FPKM, MA4_23 = MA4_23$FPKM,
                                   MA4_24 = MA4_24$FPKM, MA4_25 = MA4_25$FPKM, MA9_01 = MA9_01$FPKM, MA9_02 = MA9_02$FPKM, MA9_03 = MA9_03$FPKM,
                                   MA9_04 = MA9_04$FPKM, MA9_05 = MA9_05$FPKM, MLLwt_01 = MLLwt_01$FPKM, MLLwt_02 = MLLwt_02$FPKM, MLLwt_03 = MLLwt_03$FPKM,
                                   MLLwt_04 = MLLwt_04$FPKM, MLLwt_05 = MLLwt_05$FPKM, MLLwt_06 = MLLwt_06$FPKM, MLLwt_07 = MLLwt_07$FPKM, MLLwt_10 = MLLwt_10$FPKM, BCP_01 = BCP_01$FPKM, BCP_02 = BCP_02$FPKM, BCP_03 = BCP_03$FPKM,
                                   BCP_04 = BCP_04$FPKM, BCP_05 = BCP_05$FPKM, B_01 = B_01$FPKM, B_02 = B_02$FPKM, B_03 = B_03$FPKM)

matrix.isoforms.TPM <- data.frame(transcript_id = MA4_01$transcript_id, gene_id = MA4_01$gene_id, MA4_01 = MA4_01$TPM, MA4_02 = MA4_02$TPM, MA4_03 = MA4_03$TPM, MA4_04 = MA4_04$TPM, MA4_05 = MA4_05$TPM, 
                                   MA4_26 = MA4_26$TPM, MA4_06 = MA4_06$TPM, MA4_07 = MA4_07$TPM, MA4_08 = MA4_08$TPM, MA4_09 = MA4_09$TPM,
                                   MA4_10 = MA4_10$TPM, MA4_11 = MA4_11$TPM, MA4_12 = MA4_12$TPM, MA4_13 = MA4_13$TPM, MA4_14 = MA4_14$TPM,
                                   MA4_15 = MA4_15$TPM, MA4_16 = MA4_16$TPM, MA4_17 = MA4_17$TPM, MA4_27 = MA4_27$TPM, MA4_18 = MA4_18$TPM,
                                   MA4_19 = MA4_19$TPM, MA4_20 = MA4_20$TPM, MA4_21 = MA4_21$TPM, MA4_22 = MA4_22$TPM, MA4_23 = MA4_23$TPM,
                                   MA4_24 = MA4_24$TPM, MA4_25 = MA4_25$TPM, MA9_01 = MA9_01$TPM, MA9_02 = MA9_02$TPM, MA9_03 = MA9_03$TPM,
                                   MA9_04 = MA9_04$TPM, MA9_05 = MA9_05$TPM, MLLwt_01 = MLLwt_01$TPM, MLLwt_02 = MLLwt_02$TPM, MLLwt_03 = MLLwt_03$TPM,
                                   MLLwt_04 = MLLwt_04$TPM, MLLwt_05 = MLLwt_05$TPM, MLLwt_06 = MLLwt_06$TPM, MLLwt_07 = MLLwt_07$TPM, MLLwt_10 = MLLwt_10$TPM,BCP_01 = BCP_01$TPM, BCP_02 = BCP_02$TPM, BCP_03 = BCP_03$TPM,
                                   BCP_04 = BCP_04$TPM, BCP_05 = BCP_05$TPM, B_01 = B_01$TPM, B_02 = B_02$TPM, B_03 = B_03$TPM)

matrix.isoforms.IsoPct <- data.frame(transcript_id = MA4_01$transcript_id, gene_id = MA4_01$gene_id, MA4_01 = MA4_01$IsoPct, MA4_02 = MA4_02$IsoPct, MA4_03 = MA4_03$IsoPct, MA4_04 = MA4_04$IsoPct, MA4_05 = MA4_05$IsoPct, 
                                   MA4_26 = MA4_26$IsoPct, MA4_06 = MA4_06$IsoPct, MA4_07 = MA4_07$IsoPct, MA4_08 = MA4_08$IsoPct, MA4_09 = MA4_09$IsoPct,
                                   MA4_10 = MA4_10$IsoPct, MA4_11 = MA4_11$IsoPct, MA4_12 = MA4_12$IsoPct, MA4_13 = MA4_13$IsoPct, MA4_14 = MA4_14$IsoPct,
                                   MA4_15 = MA4_15$IsoPct, MA4_16 = MA4_16$IsoPct, MA4_17 = MA4_17$IsoPct, MA4_27 = MA4_27$IsoPct, MA4_18 = MA4_18$IsoPct,
                                   MA4_19 = MA4_19$IsoPct, MA4_20 = MA4_20$IsoPct, MA4_21 = MA4_21$IsoPct, MA4_22 = MA4_22$IsoPct, MA4_23 = MA4_23$IsoPct,
                                   MA4_24 = MA4_24$IsoPct, MA4_25 = MA4_25$IsoPct, MA9_01 = MA9_01$IsoPct, MA9_02 = MA9_02$IsoPct, MA9_03 = MA9_03$IsoPct,
                                   MA9_04 = MA9_04$IsoPct, MA9_05 = MA9_05$IsoPct, MLLwt_01 = MLLwt_01$IsoPct, MLLwt_02 = MLLwt_02$IsoPct, MLLwt_03 = MLLwt_03$IsoPct,
                                   MLLwt_04 = MLLwt_04$IsoPct, MLLwt_05 = MLLwt_05$IsoPct, MLLwt_06 = MLLwt_06$IsoPct, MLLwt_07 = MLLwt_07$IsoPct, MLLwt_10 = MLLwt_10$IsoPct, BCP_01 = BCP_01$IsoPct, BCP_02 = BCP_02$IsoPct, BCP_03 = BCP_03$IsoPct,
                                   BCP_04 = BCP_04$IsoPct, BCP_05 = BCP_05$IsoPct, B_01 = B_01$IsoPct, B_02 = B_02$IsoPct, B_03 = B_03$IsoPct)

# Load the datasets:
MA4_01 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_01.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_02 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_02.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_03 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_03.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_04 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_04.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_05 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_05.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_26 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_26.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_06 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_06.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_07 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_07.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_08 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_08.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_09 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_09.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_10 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_10.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_11 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_11.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_12 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_12.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_13 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_13.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_14 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_14.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_15 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_15.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_16 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_16.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_17 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_17.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_27 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_27.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_18 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_18.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_19 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_19.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_20 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_20.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_21 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_21.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_22 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_22.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_23 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_23.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_24 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_24.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA4_25 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA4_25.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA9_01 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA9_01.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA9_02 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA9_02.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA9_03 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA9_03.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA9_04 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA9_04.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MA9_05 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MA9_05.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_01 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_01.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_02 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_02.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_03 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_03.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_04 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_04.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_05 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_05.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_06 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_06.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_07 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_07.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
MLLwt_10 <- read.csv(file= paste(tablesDirectory, "RSEM_results/MLLwt_10.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
BCP_01 <- read.csv(file= paste(tablesDirectory, "RSEM_results/BCP_01.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
BCP_02 <- read.csv(file= paste(tablesDirectory, "RSEM_results/BCP_02.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
BCP_03 <- read.csv(file= paste(tablesDirectory, "RSEM_results/BCP_03.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
BCP_04 <- read.csv(file= paste(tablesDirectory, "RSEM_results/BCP_04.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
BCP_05 <- read.csv(file= paste(tablesDirectory, "RSEM_results/BCP_05.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
B_01 <- read.csv(file= paste(tablesDirectory, "RSEM_results/B_01.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
B_02 <- read.csv(file= paste(tablesDirectory, "RSEM_results/B_02.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)
B_03 <- read.csv(file= paste(tablesDirectory, "RSEM_results/B_03.genes.results", sep = "/"), sep = "\t", stringsAsFactors = F)


matrix.genes.FPKM <- data.frame(gene_id = MA4_01$gene_id, transcript_id = MA4_01$transcript_id.s., MA4_01 = MA4_01$FPKM, MA4_02 = MA4_02$FPKM, MA4_03 = MA4_03$FPKM, MA4_04 = MA4_04$FPKM, MA4_05 = MA4_05$FPKM, 
                                   MA4_26 = MA4_26$FPKM, MA4_06 = MA4_06$FPKM, MA4_07 = MA4_07$FPKM, MA4_08 = MA4_08$FPKM, MA4_09 = MA4_09$FPKM,
                                   MA4_10 = MA4_10$FPKM, MA4_11 = MA4_11$FPKM, MA4_12 = MA4_12$FPKM, MA4_13 = MA4_13$FPKM, MA4_14 = MA4_14$FPKM,
                                   MA4_15 = MA4_15$FPKM, MA4_16 = MA4_16$FPKM, MA4_17 = MA4_17$FPKM, MA4_27 = MA4_27$FPKM, MA4_18 = MA4_18$FPKM,
                                   MA4_19 = MA4_19$FPKM, MA4_20 = MA4_20$FPKM, MA4_21 = MA4_21$FPKM, MA4_22 = MA4_22$FPKM, MA4_23 = MA4_23$FPKM,
                                   MA4_24 = MA4_24$FPKM, MA4_25 = MA4_25$FPKM, MA9_01 = MA9_01$FPKM, MA9_02 = MA9_02$FPKM, MA9_03 = MA9_03$FPKM,
                                   MA9_04 = MA9_04$FPKM, MA9_05 = MA9_05$FPKM, MLLwt_01 = MLLwt_01$FPKM, MLLwt_02 = MLLwt_02$FPKM, MLLwt_03 = MLLwt_03$FPKM, MLLwt_04 = MLLwt_04$FPKM, MLLwt_05 = MLLwt_05$FPKM,
                                   MLLwt_06 = MLLwt_06$FPKM, MLLwt_07 = MLLwt_07$FPKM, MLLwt_10 = MLLwt_10$FPKM, 
                                   BCP_01 = BCP_01$FPKM, BCP_02 = BCP_02$FPKM, BCP_03 = BCP_03$FPKM, BCP_04 = BCP_04$FPKM, BCP_05 = BCP_05$FPKM, B_01 = B_01$FPKM, B_02 = B_02$FPKM, B_03 = B_03$FPKM)

matrix.genes.TPM <- data.frame(gene_id = MA4_01$gene_id, transcript_id = MA4_01$transcript_id.s., MA4_01 = MA4_01$TPM, MA4_02 = MA4_02$TPM, MA4_03 = MA4_03$TPM, MA4_04 = MA4_04$TPM, MA4_05 = MA4_05$TPM, 
                                  MA4_26 = MA4_26$TPM, MA4_06 = MA4_06$TPM, MA4_07 = MA4_07$TPM, MA4_08 = MA4_08$TPM, MA4_09 = MA4_09$TPM,
                                  MA4_10 = MA4_10$TPM, MA4_11 = MA4_11$TPM, MA4_12 = MA4_12$TPM, MA4_13 = MA4_13$TPM, MA4_14 = MA4_14$TPM,
                                  MA4_15 = MA4_15$TPM, MA4_16 = MA4_16$TPM, MA4_17 = MA4_17$TPM, MA4_27 = MA4_27$TPM, MA4_18 = MA4_18$TPM,
                                  MA4_19 = MA4_19$TPM, MA4_20 = MA4_20$TPM, MA4_21 = MA4_21$TPM, MA4_22 = MA4_22$TPM, MA4_23 = MA4_23$TPM,
                                  MA4_24 = MA4_24$TPM, MA4_25 = MA4_25$TPM, MA9_01 = MA9_01$TPM, MA9_02 = MA9_02$TPM, MA9_03 = MA9_03$TPM,
                                  MA9_04 = MA9_04$TPM, MA9_05 = MA9_05$TPM, MLLwt_01 = MLLwt_01$TPM, MLLwt_02 = MLLwt_02$TPM, MLLwt_03 = MLLwt_03$TPM,
                                  MLLwt_04 = MLLwt_04$TPM, MLLwt_05 = MLLwt_05$TPM, MLLwt_06 = MLLwt_06$TPM, MLLwt_07 = MLLwt_07$TPM, MLLwt_10 = MLLwt_10$TPM, BCP_01 = BCP_01$TPM, BCP_02 = BCP_02$TPM, BCP_03 = BCP_03$TPM,
                                  BCP_04 = BCP_04$TPM, BCP_05 = BCP_05$TPM, B_01 = B_01$TPM, B_02 = B_02$TPM, B_03 = B_03$TPM)

# Write the tables:
write.table(matrix.isoforms.FPKM, file = paste(tablesDirectory, "RSEM_RNAseq_isoforms_FPKM_matrix.tsv", sep = "/"), sep = "\t", col.names = T, row.names = F, quote = F)
write.table(matrix.isoforms.TPM, file = paste(tablesDirectory, "RSEM_RNAseq_isoforms_TPM_matrix.tsv", sep = "/"), sep = "\t", col.names = T, row.names = F, quote = F)
write.table(matrix.isoforms.IsoPct, file = paste(tablesDirectory, "RSEM_RNAseq_isoforms_IsoPct_matrix.tsv", sep = "/"), sep = "\t", col.names = T, row.names = F, quote = F)
write.table(matrix.genes.FPKM, file = paste(tablesDirectory, "RSEM_RNAseq_genes_FPKM_matrix.tsv", sep = "/"), sep = "\t", col.names = T, row.names = F, quote = F)
write.table(matrix.genes.TPM, file =  paste(tablesDirectory, "RSEM_RNAseq_genes_TPM_matrix.tsv", sep = "/"), sep = "\t", col.names = T, row.names = F, quote = F)

